# Class CoordValue

java.lang.Object
uk.ac.starlink.ttools.plot2.task.CoordValue

public class CoordValue extends Object
Aggregates a coordinate specification and the expression strings that give its values.

Since:
  22 Nov 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`CoordValue(Coord coord, String[] exprs, uk.ac.starlink.table.DomainMapper[] dms)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Coord`
`getCoord()`
Returns the coordinate definition.
`uk.ac.starlink.table.DomainMapper[]`
`getDomainMappers()`
Returns the domain mappers used to decode the coordinate's input values, where known.
`String[]`
`getExpressions()`
Returns the user-supplied expressions for the coordinate's values.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CoordValue

public CoordValue(Coord coord, String[] exprs, uk.ac.starlink.table.DomainMapper[] dms)
Constructor.

Parameters:
  `coord` - coordinate definition
  `exprs` - array of user-supplied expressions, one for each input value associated with the coordinate
  `dms` - array of DomainMappers, one for each input value; individual elements may be null if no DomainMapper is known

## Method Details

### getCoord

public Coord getCoord()
Returns the coordinate definition.

Returns:
  coord

### getExpressions

public String[] getExpressions()
Returns the user-supplied expressions for the coordinate's values.

The returned array has coord.getInputs().length elements.

Returns:
  expressions array

### getDomainMappers

public uk.ac.starlink.table.DomainMapper[] getDomainMappers()
Returns the domain mappers used to decode the coordinate's input values, where known. Note that individual elements may be null if the domain mapper is not known; in this case downstream code will need to come up with a plausible value.

The returned array has coord.getInputs().length elements.

Returns:
  domain mapper array